unit TabForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Grids, DBGrids, DBCtrls, ExtCtrls, Db, DBTables;

type
  TTableForm = class(TForm)
    Panel1: TPanel;
    DBNavigator1: TDBNavigator;
    DBGrid1: TDBGrid;
    Label1: TLabel;
    IndexCombo: TComboBox;
    DataSource1: TDataSource;
    Panel2: TPanel;
    Label2: TLabel;
    TableCombo: TComboBox;
    procedure FormShow(Sender: TObject);
    procedure TableComboChange(Sender: TObject);
    procedure FormHide(Sender: TObject);
    procedure IndexComboChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Table1     : TTable;
    procedure  AddTabList(Tab: TTable);
  end;

var
  TableForm: TTableForm;

implementation

uses Pool_Mod_Unit;

{$R *.DFM}

procedure TTableForm.AddTabList(Tab: TTable);
begin
   TableCombo.Items.AddObject(Tab.TableName, Tab);
end;

procedure TTableForm.FormShow(Sender: TObject);
begin
   TableCombo.Items.Clear;
   Pool_Module.ForEachTable(AddTabList);

   if TableCombo.Items.Count > 0 then begin
      TableCombo.ItemIndex := TableForm.TableCombo.Items.IndexOf('Games');;
      TableComboChange(nil);
   end;
end;

procedure TTableForm.TableComboChange(Sender: TObject);
var
   i : integer;
begin
   if Table1<>nil then Table1.Active := False;

   Table1 := TableCombo.Items.Objects[TableCombo.ItemIndex] as TTable;
   if Table1=nil then exit;
   
   Table1.IndexFieldNames := '';

   IndexCombo.Items.Clear;
   with Table1.IndexDefs do begin
      Update;
      for i := 0 to Count-1 do
         if Items[i].Name<>'' then
            IndexCombo.Items.Add(Items[i].Name)
         else
            IndexCombo.Items.Add(Items[i].Fields);
   end;
   if IndexCombo.Items.Count > 0 then begin
      IndexCombo.ItemIndex := 0;
      IndexComboChange(nil);
   end;

   Table1.Active := True;
   DataSource1.DataSet := Table1;
end;

procedure TTableForm.FormHide(Sender: TObject);
begin
   if Table1<>nil then Table1.Active := False;
end;

procedure TTableForm.IndexComboChange(Sender: TObject);
begin
   Table1.IndexFieldNames := Table1.IndexDefs.Items[IndexCombo.ItemIndex].Fields;
end;

end.
