library WABDSafeBitmap;

uses
  SysUtils,
  Classes,
  Windows,
  SafeBitmap in 'SafeBitmap.pas',
  Graphics in 'Graphics.pas';

{$IFNDEF VER100}
'ERROR - don't try to compile this without Delphi 3.0!';
{$ENDIF}


function BitmapCreate: TBitmap; stdcall;
begin
   Result := TBitmap.Create;
end;

procedure BitmapFree(var bm: TBitmap); stdcall;
begin
   bm.Free;
   bm := nil;
end;

procedure BitmapSetSize(bm: TBitmap; x, y: integer); stdcall;
begin
   bm.Width := x;
   bm.Height := y;
end;

function BitmapGetDC(bm: TBitmap): HDC; stdcall;
begin
   Result := bm.Canvas.Handle;
end;

function BitmapLoad(bm: TBitmap; fn: PChar): boolean; stdcall;
begin
   try
      Result := True;
      bm.LoadFromFile(fn);
   except
      on e: Exception do begin
         Result := False;
      end;
   end;
end;

function BitmapSave(bm: TBitmap; fn: PChar): boolean; stdcall;
begin
   try
      Result := True;
      bm.SaveToFile(fn);
   except
      on e: Exception do begin
         Result := False;
      end;
   end;
end;

procedure BitmapSetPixelFormat(bm: TBitmap; pf: TPixelFormat); stdcall;
begin
   bm.PixelFormat := pf;
end;

function BitmapGetPixelFormat(bm: TBitmap): TPixelFormat; stdcall;
begin
   Result := bm.PixelFormat;
end;


exports
   BitmapCreate,
   BitmapFree,
   BitmapSetSize,
   BitmapGetDC,
   BitmapLoad,
   BitmapSave,
   BitmapSetPixelFormat,
   BitmapGetPixelFormat;

begin
end.

